<?xml version="1.0" encoding="utf-8"?>
<doctrine-mapping xmlns="http://doctrine-project.org/schemas/orm/doctrine-mapping"
                  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                  xsi:schemaLocation="http://doctrine-project.org/schemas/orm/doctrine-mapping https://www.doctrine-project.org/schemas/orm/doctrine-mapping.xsd">
    <entity
            name="Smtm\L10n\Locale\Context\LocalePosix\Domain\LocalePosix"
            table="l10n_locale_posix"
            repository-class="Smtm\L10n\Locale\Context\LocalePosix\Infrastructure\Repository\LocalePosixRepository"
            change-tracking-policy="DEFERRED_EXPLICIT"
    >
        <id name="id" type="integer" column="id"/>
        <field name="uuid" type="string" column="uuid" length="36" nullable="false">
            <options>
                <option name="fixed"/>
            </options>
        </field>
        <field name="name" column="r_name" type="string" length="20" nullable="false">
            <options>
                <option name="fixed"/>
            </options>
        </field>
        <field name="codeSet" column="code_set" type="string" length="20" nullable="false">
            <options>
                <option name="fixed"/>
            </options>
        </field>
        <field name="description" column="description" type="string" length="255" nullable="false">
            <options>
                <option name="fixed"/>
            </options>
        </field>
        <field name="recommended" column="recommended" type="boolean" nullable="false"/>

        <indexes>
            <index name="idx_l10n_locale_posix_r_name" columns="r_name"/>
        </indexes>
        <unique-constraints>
            <unique-constraint name="idx_unq_l10n_locale_posix_id" columns="uuid"/>
            <unique-constraint name="idx_unq_l10n_locale_posix_uuid" columns="uuid"/>
            <unique-constraint name="idx_unq_l10n_locale_posix_r_name" columns="r_name"/>
        </unique-constraints>
    </entity>
</doctrine-mapping>
